<template>
  <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
      <div class="modal-content">
        <div class="modal-body">
          <img :src="player.picture" id="player-picture" alt="">
          <div class="row">
            <div class="col-md-8" id="player-name">
              <span id="first">
                {{ player.firstname }}
              </span><br>
              <span id="last">
                {{ player.lastname }}
              </span>
            </div>
            <div class="col-md-4" id="country-flag">
              <div class="row">
                <div class="col-md-12">
                  <img :src="player.country.picture" alt="">
                </div>
                <div class="col-md-12" id="country-code">
                  {{player.country.code}}
                </div>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-7">

              <div class="row">

                <div class="col-md-4">
                  <label class="form-label">Rank</label>
                  <label class="form-control-plaintext"> {{ player.data.rank }} </label>
                </div>
                
                <div class="col-md-4">
                  <label class="form-label">Points</label>
                  <label class="form-control-plaintext"> {{ player.data.points }} </label>
                </div>
                
                <div class="col-md-4">
                  <label class="form-label">Country</label>
                  <label class="form-control-plaintext"> {{ player.country.code }} </label>
                </div>
                
              </div>

              <div class="row">

                <div class="col-md-4">
                  <label class="form-label">Birthday</label>
                  <label class="form-control-plaintext"> 22 / 05 / 1987 </label>
                </div>
                
                <div class="col-md-4">
                  <label class="form-label">Age</label>
                  <label class="form-control-plaintext"> {{ player.data.age }} </label>
                </div>
                
              </div>

              <div class="row">

                <div class="col-md-4">
                  <label class="form-label">Weight</label>
                  <label class="form-control-plaintext"> {{ player.data.weight / 1000 }} kg </label>
                </div>
                
                <div class="col-md-4">
                  <label class="form-label">Height</label>
                  <label class="form-control-plaintext"> {{ player.data.height }} cm </label>
                </div>
                
              </div>

            </div>
            <div class="col-md-5">
              
              <label class="form-label">Career titles</label>
              
            </div>
          </div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>
</template>
<script src="./index.js"></script>
<style scoped src="./index.css"></style>